summaryrefslogtreecommitdiff
path: root/neon-config.in
diff options
context:
space:
mode:
authorjoe <joe@61a7d7f5-40b7-0310-9c16-bb0ea8cb1845>2004-10-02 18:47:02 +0000
committerjoe <joe@61a7d7f5-40b7-0310-9c16-bb0ea8cb1845>2004-10-02 18:47:02 +0000
commit0294ff3d3282d1b1c5497f00ea25e5e55e6f4338 (patch)
tree978af6f81c7b7715597871b1e89a9ad083907f1a /neon-config.in
downloadneon-0294ff3d3282d1b1c5497f00ea25e5e55e6f4338.tar.gz
Import neon 0.24.0 to begin 0.24.x branch.
git-svn-id: http://svn.webdav.org/repos/projects/neon/branches/0.24.x@243 61a7d7f5-40b7-0310-9c16-bb0ea8cb1845
Diffstat (limited to 'neon-config.in')
-rw-r--r--neon-config.in105
1 files changed, 105 insertions, 0 deletions
diff --git a/neon-config.in b/neon-config.in
new file mode 100644
index 0000000..27b74d1
--- /dev/null
+++ b/neon-config.in
@@ -0,0 +1,105 @@
+#! /bin/sh
+# Originally from libxml, Copyright (C) Daniel Veillard
+# Modifications for neon Copyright (C) 2000-2002 Joe Orton.
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: neon-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change neon prefix [default $prefix]
+ --libs print library linking information
+ --la-file print location of libtool .la file
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+ --support FEATURE exit with success if feature is supported
+ Known features: dav [@NEON_SUPPORTS_DAV@], ssl [@NEON_SUPPORTS_SSL@], zlib [@NEON_SUPPORTS_ZLIB@]
+
+EOF
+
+ exit $1
+}
+
+support()
+{
+ if test "$1" = "yes"; then
+ exit 0
+ else
+ exit 1
+ fi
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --version)
+ echo neon @NEON_VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I${includedir}/neon @NEON_CFLAGS@
+ ;;
+
+ --libs)
+ LIBS="-lneon @NEON_LIBS@"
+ # Don't add standard library paths
+ case "${libdir}" in
+ /usr/lib|/lib) ;;
+ *) LIBS="-L${libdir} ${LIBS}" ;;
+ esac
+ echo @user_LDFLAGS@ ${LIBS}
+ ;;
+
+ --la-file)
+ echo ${libdir}/libneon.la
+ ;;
+
+ --support)
+ shift
+
+ case "$1" in
+ ssl|SSL) support @NEON_SUPPORTS_SSL@ ;;
+ zlib|ZLIB) support @NEON_SUPPORTS_ZLIB@ ;;
+ dav|DAV) support @NEON_SUPPORTS_DAV@ ;;
+ *) support no ;;
+ esac
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0